Upstream information

CVE-2022-0547 at MITRE

Description

OpenVPN 2.1 until v2.4.12 and v2.5.6 may enable authentication bypass in external authentication plug-ins when more than one of them makes use of deferred authentication replies, which allows an external user to be granted access with only partially correct credentials.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1197341 [IN_PROGRESS], 1199103 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
HPE-Helion-OpenStack-8-2022-1024
SUSE CaaS Platform 4.0
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-1029
SUSE Enterprise Storage 6
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-Storage-6-2022-1029
SUSE Enterprise Storage 7
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-Storage-7-2022-1029
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-1029
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-1029
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-1029
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-1029
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-1029
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-1029
SUSE Linux Enterprise Real Time 15 SP2
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-1029
SUSE Linux Enterprise Server 11-SECURITY
  • openvpn-openssl1 >= 2.3.2-0.10.12.1
  • openvpn-openssl1-down-root-plugin >= 2.3.2-0.10.12.1
Patchnames:
secsp3-openvpn-openssl1-14937
SUSE Linux Enterprise Server 12 SP2-BCL
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2022-1024
SUSE Linux Enterprise Server 12 SP3-BCL
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2022-1024
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2022-1024
SUSE Linux Enterprise Server 12 SP3-LTSS
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2022-1024
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-1024
SUSE Linux Enterprise Server 12 SP4-LTSS
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2022-1024
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2022-1024
SUSE Linux Enterprise Server 15 SP1-BCL
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-1029
SUSE Linux Enterprise Server 15 SP1-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-1029
SUSE Linux Enterprise Server 15 SP2-BCL
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-1029
SUSE Linux Enterprise Server 15 SP2-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-1029
SUSE Linux Enterprise Server 15-LTSS
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-1029
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2022-1024
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2022-1024
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-1029
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-1029
SUSE Linux Enterprise Server for SAP Applications 15
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-1029
SUSE Manager Proxy 4.1
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-1029
SUSE Manager Retail Branch Server 4.1
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-1029
SUSE Manager Server 4.1
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-1029
SUSE OpenStack Cloud 8
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-1024
SUSE OpenStack Cloud 9
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-1024
SUSE OpenStack Cloud Crowbar 8
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-1024
SUSE OpenStack Cloud Crowbar 9
  • openvpn >= 2.3.8-16.29.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.29.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-1024
openSUSE Leap 15.3
  • openvpn >= 2.4.3-150000.5.10.1
  • openvpn-auth-pam-plugin >= 2.4.3-150000.5.10.1
  • openvpn-devel >= 2.4.3-150000.5.10.1
  • openvpn-down-root-plugin >= 2.4.3-150000.5.10.1
Patchnames:
openSUSE-SLE-15.3-2022-1029
openSUSE Tumbleweed
  • openvpn >= 2.5.6-1.1
  • openvpn-auth-pam-plugin >= 2.5.6-1.1
  • openvpn-devel >= 2.5.6-1.1
  • openvpn-down-root-plugin >= 2.5.6-1.1
Patchnames:
openSUSE Tumbleweed GA openvpn-2.5.6-1.1

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Linux Enterprise Server 15 SP4
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Linux Enterprise Desktop 15 SP4
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Linux Enterprise High Performance Computing 15 SP4
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Manager Server 4.3
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Manager Proxy 4.3
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1
SUSE Manager Retail Branch Server 4.3
  • openvpn >= 2.5.6-150400.3.3.1
  • openvpn-auth-pam-plugin >= 2.5.6-150400.3.3.1
  • openvpn-devel >= 2.5.6-150400.3.3.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 openvpn Released
SUSE CaaS Platform 4.0 openvpn Released
SUSE Enterprise Storage 6 openvpn Released
SUSE Enterprise Storage 7 openvpn Released
SUSE Linux Enterprise Desktop 15 SP3 openvpn Released
SUSE Linux Enterprise Desktop 15 SP4 openvpn In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 LTSS openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP3 openvpn Released
SUSE Linux Enterprise High Performance Computing 15 SP4 openvpn In progress
SUSE Linux Enterprise Module for Basesystem 15 SP3 openvpn Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 openvpn In progress
SUSE Linux Enterprise Real Time 15 SP2 openvpn Released
SUSE Linux Enterprise Server 11 SP1 openvpn Not affected
SUSE Linux Enterprise Server 11 SP3 openvpn Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS openvpn Not affected
SUSE Linux Enterprise Server 12 SP2 BCL openvpn Released
SUSE Linux Enterprise Server 12 SP3 BCL openvpn Released
SUSE Linux Enterprise Server 12 SP3 ESPOS openvpn Released
SUSE Linux Enterprise Server 12 SP3 LTSS openvpn Released
SUSE Linux Enterprise Server 12 SP4 ESPOS openvpn Released
SUSE Linux Enterprise Server 12 SP4 LTSS openvpn Released
SUSE Linux Enterprise Server 12 SP5 openvpn Released
SUSE Linux Enterprise Server 15 ESPOS openvpn Released
SUSE Linux Enterprise Server 15 LTSS openvpn Released
SUSE Linux Enterprise Server 15 SP1 LTSS openvpn Released
SUSE Linux Enterprise Server 15 SP2 LTSS openvpn Released
SUSE Linux Enterprise Server 15 SP3 openvpn Released
SUSE Linux Enterprise Server 15 SP4 openvpn In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openvpn Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openvpn In progress
SUSE Linux Enterprise Server for SAP Applications 15 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openvpn In progress
SUSE Linux Enterprise Storage 7.1 openvpn Released
SUSE Manager Proxy 4.1 openvpn Released
SUSE Manager Proxy 4.2 openvpn Released
SUSE Manager Proxy 4.3 openvpn In progress
SUSE Manager Retail Branch Server 4.1 openvpn Released
SUSE Manager Retail Branch Server 4.2 openvpn Released
SUSE Manager Retail Branch Server 4.3 openvpn In progress
SUSE Manager Server 4.1 openvpn Released
SUSE Manager Server 4.2 openvpn Released
SUSE Manager Server 4.3 openvpn In progress
SUSE OpenStack Cloud 8 openvpn Released
SUSE OpenStack Cloud 9 openvpn Released
SUSE OpenStack Cloud Crowbar 8 openvpn Released
SUSE OpenStack Cloud Crowbar 9 openvpn Released
Security Module for SUSE Linux Enterprise 11 openvpn-openssl1 Released